Package weka.core.converters

# Class ConverterResources

java.lang.Object
weka.core.converters.ConverterResources

public class ConverterResources extends Object
Helper class for dealing with Converter resources.

Version:
  $Revision$
Author:
  FracPete (fracpete at waikato dot ac dot nz)

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `CORE_FILE_LOADERS`
  the core loaders - hardcoded list necessary for RMI/Remote Experiments (comma-separated list).
  `static final String`
  `CORE_FILE_SAVERS`
  the core savers - hardcoded list necessary for RMI/Remote Experiments (comma-separated list).

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ConverterResources()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Hashtable<String,List<String>>`
  `getFileLoaders()`
  Returns the file loaders.
  `static Hashtable<String,List<String>>`
  `getFileSavers()`
  Returns the file savers.
  `static Hashtable<String,List<String>>`
  `getURLFileLoaders()`
  Returns the URL file loaders.
  `static void`
  `initialize()`
  `static boolean`
  `isCoreFileLoader(String classname)`
  checks whether the given class is one of the hardcoded core file loaders.
  `static boolean`
  `isCoreFileSaver(String classname)`
  checks whether the given class is one of the hardcoded core file savers.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### CORE_FILE_LOADERS

    public static final String CORE_FILE_LOADERS
    the core loaders - hardcoded list necessary for RMI/Remote Experiments (comma-separated list).

  - ### CORE_FILE_SAVERS

    public static final String CORE_FILE_SAVERS
    the core savers - hardcoded list necessary for RMI/Remote Experiments (comma-separated list).

- ## Constructor Details

  - ### ConverterResources

    public ConverterResources()

- ## Method Details

  - ### isCoreFileLoader

    public static boolean isCoreFileLoader(String classname)
    checks whether the given class is one of the hardcoded core file loaders.
    Parameters:
      `classname` - the class to check
    Returns:
      true if the class is one of the core loaders
    See Also:
      - `CORE_FILE_LOADERS`

  - ### isCoreFileSaver

    public static boolean isCoreFileSaver(String classname)
    checks whether the given class is one of the hardcoded core file savers.
    Parameters:
      `classname` - the class to check
    Returns:
      true if the class is one of the core savers
    See Also:
      - `CORE_FILE_SAVERS`

  - ### getFileLoaders

    public static Hashtable<String,List<String>> getFileLoaders()
    Returns the file loaders.
    Returns:
      the file loaders

  - ### getURLFileLoaders

    public static Hashtable<String,List<String>> getURLFileLoaders()
    Returns the URL file loaders.
    Returns:
      the URL file loaders

  - ### getFileSavers

    public static Hashtable<String,List<String>> getFileSavers()
    Returns the file savers.
    Returns:
      the file savers

  - ### initialize

    public static void initialize()